summaryrefslogtreecommitdiffstats
path: root/bin/ceph-info
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ceph-info')
-rwxr-xr-xbin/ceph-info50
1 files changed, 50 insertions, 0 deletions
diff --git a/bin/ceph-info b/bin/ceph-info
new file mode 100755
index 0000000..4a504b2
--- /dev/null
+++ b/bin/ceph-info
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+# storage-tools - Additional utilities to manage storage related tasks
+# Copyright (C) 2014-2017 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+SOFTWARE="storage-tools"
+PROGRAM="ceph-info"
+
+if [ -e "/etc/default/${SOFTWARE}" ]
+then
+ . "/etc/default/${SOFTWARE}"
+fi
+
+case "${CEPH_INFO}" in
+ true)
+ ;;
+
+ *)
+ exit 0
+ ;;
+esac
+
+DATE="$(date -R)"
+HOST="$(hostname -f)"
+
+mkdir -p "/var/log/${SOFTWARE}/${PROGRAM}"
+
+for INFORMATION in ceph-status ceph-df ceph-osd-df ceph-osd-tree ceph-version
+do
+ COMMAND="$(echo ${INFORMATION} | sed -e 's|-| |g')"
+
+ ${COMMAND} > "/var/log/${SOFTWARE}/${PROGRAM}/${INFORMATION}.txt"
+done
+
+echo " -- ${HOST} ${DATE}" > "/var/log/${SOFTWARE}/${PROGRAM}/date.txt"